org.apache.commons.ssl.util

## Class ReadLine

- java.lang.Object
- - org.apache.commons.ssl.util.ReadLine

Direct Known Subclasses:
  ByteArrayReadLine

    public class ReadLine
    extends java.lang.Object

Author:
  Julius Davies, 23-Dec-2007

### Field Summary

Fields
`(package private) int` `avail`
`(package private) byte[]` `bytes`
`(package private) java.io.InputStream` `in`
`(package private) int` `pos`

### Constructor Summary

Constructors
Constructor and Description
`ReadLine(java.io.InputStream in)`

### Method Summary

Methods
`java.lang.String` `next()`
`java.lang.String` `next(int lines)`
`byte[]` `nextAsBytes()`
`byte[]` `nextAsBytes(int lines)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### in

    final java.io.InputStream in

#### bytes

    final byte[] bytes

#### pos

    int pos

#### avail

    int avail

### Constructor Detail

#### ReadLine

    public ReadLine(java.io.InputStream in)

### Method Detail

#### next

    public java.lang.String next()
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### next

    public java.lang.String next(int lines)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### nextAsBytes

    public byte[] nextAsBytes()
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### nextAsBytes

    public byte[] nextAsBytes(int lines)
                       throws java.io.IOException

Throws:
  `java.io.IOException`